Add Assessment Methods as Group

May 25, 2022 05:00 PM - Aureliano Gentile

Status: Closed Start date: May 25, 2022

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Likewise other Stock Data, also Assessment Methods can be added as group in ckan.

See wiki documentation at https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Stock_Metadata

Assessment Method   assessment_methods  Stock Data  No  No  No  Yes Field

History

#1 - Sep 02, 2022 12:53 PM - Luca Frosini

- Status changed from New to In Progress

#2 - Sep 02, 2022 02:41 PM - Luca Frosini

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I have added the support to assign the record to the group.

I have also created the group in Ckan catalogues (production GRSF,GRSF_Admin, GRSF_Pre and preproduction GRSF_Pre).

The records will be assigned to the group as soon as the new version will be deployed and the records will be published again.

#3 - Sep 02, 2022 02:45 PM - Aureliano Gentile

With many thanks.

Aureliano

#5 - Sep 02, 2022 02:57 PM - Luca Frosini

- Status changed from Closed to Feedback

- Assignee changed from Luca Frosini to Roberto Cirillo

@roberto.cirillo@isti.cnr.it can you please upgrade the grsf-publisher-ws service with the latest 1.13.2-SNAPSHOT version in

smart-grsfpre.d4science.org (GRSF_Pre VRE in production)

#6 - Sep 05, 2022 10:25 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Luca Frosini

Luca Frosini wrote in #note-5:

@roberto.cirillo@isti.cnr.it can you please upgrade the grsf-publisher-ws service with the latest 1.13.2-SNAPSHOT version in

smart-grsfpre.d4science.org (GRSF_Pre VRE in production)

 Done.

#7 - Sep 12, 2022 12:02 PM - Luca Frosini

- Status changed from Feedback to Closed

#8 - Sep 12, 2022 01:14 PM - Aureliano Gentile

Dear Luca,

(hope you had a pleasant summer),

Please, let me ask for a clarification:

I see you closed thid ticket, indeed I see Assessment Method  as Group in the catalogue, but this is empty although the information is available in

Jun 15, 2025 1/2

https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Stock_Metadata


the records, for example here https://data.d4science.org/ctlg/GRSF_Admin/9b36373a-ea6d-336a-8e0d-567555080aa4

Maybe the Group will be populated at the next data refresh of the catalogue?

#9 - Sep 12, 2022 02:52 PM - Luca Frosini

Aureliano Gentile wrote in #note-8:

Dear Luca,

(hope you had a pleasant summer),

Please, let me ask for a clarification:

I see you closed thid ticket, indeed I see Assessment Method  as Group in the catalogue, but this is empty although the information is available

in the records, for example here https://data.d4science.org/ctlg/GRSF_Admin/9b36373a-ea6d-336a-8e0d-567555080aa4

Maybe the Group will be populated at the next data refresh of the catalogue?

 Yes, the environment and the code are ready. We need to wait for the next gCube release and the refresh of the catalogue.

#10 - Sep 12, 2022 04:00 PM - Aureliano Gentile

Great, thanks for the clarification.
